#define _c_APKOUT                                                               
/*********************************************************************/         
/*                                                                   */         
/* MODULE NAME: APKOUT.C                                             */         
/*                                                                   */         
/*                                                                   */         
/* SYNOPSIS:  ACIF Sample Output Exit                                */         
/*                                                                   */         
/*                                                                   */         
/* DESCRIPTION:  This module contains the sample OUTPUT user exit.   */         
/*                                                                   */         
/* COPYRIGHT:                                                        */         
/*  5648-062 (C) COPYRIGHT IBM CORPORATION 1993,1994.            @01C*/         
/*  All Rights Reserved                                              */         
/*  Licensed Materials - Property of IBM                             */         
/*                                                                   */         
/*  US Government Users Restricted Rights - Use, duplication or      */         
/*  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.*/         
/*                                                                   */         
/* NOTE: This program sample is provided on an as-is basis.          */         
/*       The licensee of the PSF product is free to copy, revise,    */         
/*       modify, and make derivative works of this program sample    */         
/*       as they see fit.                                            */         
/*                                                                   */         
/* STATUS = RELEASE 1  LEVEL 0                                       */         
/*                                                                   */         
/*                                                                   */         
/* EXTERNAL STATIC VARIABLES: None                                   */         
/*                                                                   */         
/*                                                                   */         
/* NOTES:                                                            */         
/*                                                                   */         
/*                                                                   */         
/* CHANGE ACTIVITY:                                                  */         
/*                                                                   */         
/* PROBNO  REL   DATE/AUTHOR DESCRIPTION                        FICHE*/         
/* ------- ----- ----------- -----------                        -----*/         
/* PN71191 P238  5/95 T. Medearis  Correct Copyright years       @01A*/         
/* PQ10246 P399  9/97 T. Medearis  Port to NT  p442              @02A*/         
/* PQ19344 P452  9/98 P. Muir      Port to HP/UX                 @03A*/         
/* PQxxxxx P464 12/98 P. Muir      Process files > 2G            @04A*/         
/*                                                                   */         
/*********************************************************************/         
#include "apkexits.h"                                                           
                                                                                
long ACIF_EXPORT OUTEXIT( OUTEXIT_PARMS *exitstruc)                             
{                                                                               
   if(exitstruc->eof != OUT_EOFLAG)                                             
   {                                                                            
      if(((unsigned char) exitstruc->record[3] == 0xD3) &&                      
         ((unsigned char) exitstruc->record[4] == 0xEE) &&                      
         ((unsigned char) exitstruc->record[5] == 0xEE))                        
      {                                                                         
         exitstruc->request = OUT_DELETE;                                       
      }                                                                         
      else                                                                      
         exitstruc->request = OUT_USE;                                          
   }                                                                            
                                                                                
   return( 0 );                                                                 
}                                                                               
